//
//  ANColorHelper.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 19.12.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

@interface ANColorHelper : NSObject


+ (void) setStrokeColorWithRed:(float)r green:(float)g blue:(float)b alpha:(float)a inContext:(CGContextRef)context;
+ (void) setFillColorWithRed:(float)r green:(float)g blue:(float)b alpha:(float)a inContext:(CGContextRef)context;

+ (CGColorRef) newCGColorRefWithRed:(float)r green:(float)g blue:(float)b alpha:(float)a;
+ (CGColorRef) newCGColorRefFromPlattformColor:(id)color;

+ (id) platformColorWithRed:(float)r green:(float)g blue:(float)b alpha:(float)a;
+ (BOOL) getPlatformColorComponents:(float*)components fromPlatformColor:(id)color;

+ (void) setStrokeColorFromPlatformColor:(id)color;
+ (void) setFillColorFromPlatformColor:(id)color;

+ (CGColorRef) cgColorRefFromPlattformColor:(id)color;

@end
