//
//  ANPathsHelper.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 27.02.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ANPathsHelper : NSObject

#ifdef MacOSX
+ (CGPathRef) cgPathFromNSBezierPath:(NSBezierPath*)nsbezierpath;
+ (NSBezierPath*) bezierPathFromCGPath:(CGPathRef)cgpath;
#endif

+ (CGPathRef) flattenCGPath:(CGPathRef)path;
+ (CGPathRef) subdivideFlattenedCGPath:(CGPathRef)path withLengthThreshold:(float)maxLen;

@end
